:root {
    font-size: 62.5%;

    --color-dark: #16161A;
    --color-gray: #242629;
    --color-light-gray: #94A1B2;
    --color-white: #FFFFFE;
    --color-green: #2CB67D;
    --color-arrow-gray: #72757E;
    --color-red: #ff3f34;
    --color-eye: rgb(255, 255, 231);
    --gap: 2.4rem
}
body,head{
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
    /* -webkit-user-select: none; */
    /* -khtml-user-select: none; */
    /* -moz-user-select: none; */
    /* -ms-user-select: none; */
    /* user-select: none; */
}
body,head:focus {
    outline: none !important;
}
.github-stat{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: var(--gap);
}
.ml-17{
    margin-left: 17px;
}
.github-stat>img{
    /* width: fit-content; */
    width: 50%;
    padding: 5px;
}
.spacy{
    margin-bottom: 10px;
}
.hoverimg {
    /* border: 2px solid #000; */
    transition: transform .5s ease, background-size 1s ease;
    background: linear-gradient(to bottom, rgb(255, 255, 231) 0%, rgb(0, 179, 255) 100%);
    background-size: 100% 0;
    background-position: bottom;
    background-repeat: no-repeat;
    /* background-color: rgb(255, 240, 74); */
    background-color: transparent;
}

.hoverimg:hover {
    transform: scale(1.15);
    background-size: 100% 100%;
}

.btn {
    font-family: 'Poppins', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    border: 2px solid var(--color-eye);
    padding: 10px 15px;
    font-size: medium;
    background-color: var(--color-gray);
    color: var(--color-eye);
    border-radius: 100rem;
    font-weight: bolder;
    transition: all .3s ease-in-out;
    cursor: pointer;
}

.btn:hover {
    color: var(--color-dark);
    background-color: var(--color-eye);
}

.highlight-green {
    border-bottom: 2px solid greenyellow;
    transition: background-color 0.6s ease-in-out;
}

.highlight-blue {
    border-bottom: 2px solid rgba(0, 255, 221, 0.9);
    transition: background-color 0.6s ease-in-out;
}

::-webkit-scrollbar {
    width: 10px;
}

.link {
    color: aqua;
    transition: all .5 ease;
}

/* Track */
::-webkit-scrollbar-track {
    background: #555;
    border-radius: 20px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: rgb(0, 162, 255);
    border-radius: 20px;
}


::selection {
    color: var(--color-eye);
    background: rgb(0, 162, 255);
    /* height: 20px; */
}

.Mode {
    margin: 0px 10px;
}

.box {
    border-radius: 10px;
    padding-left: 7px;
    padding-right: 7.5px;
    box-shadow: rgb(255, 255, 255) 0px 5px 15px;

}

.certi-title {
    color: rgb(0, 183, 255);;
}

.button>a {
    text-decoration: dashed;
}

.button {
    border: none;
    color: var(--color-eye);
    padding: 5px 10px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    transition-duration: 0.4s;
    cursor: pointer;
}

.button1 {
    background-color: var(--color-eye);
    border: 2px solid var(--color-eye);
    border-radius: 20px;
    font-weight: bolder;
    background-color: var(--color-dark);
    color: var(--color-white);
}

.button1:hover {
    border-radius: 20px;
    background-color: var(--color-eye);
    color: rgb(0, 0, 0);
}

.certi-card {
    width: 22rem;
    max-height: 20rem;
    background-color: var(--color-eye);
    padding: 0.8rem 0.8rem 1.6rem 0.8rem;
    height: 50%;
    border-radius: 1.6rem;
    transition: all 300ms ease-in-out;
}

.about-card {
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    opacity: 0.9;
    background-color: var(--color-gray);
    border-radius: 50px;
}

.live {
    border: 2px solid var(--color-eye);
    color: var(--color-eye);
    text-align: center;
    border-radius: 3rem;
    width: fit-content;
    font-size: small;
    /* font-weight: bold; */
    padding: 3px 8px;
    transition: all .3s ease;
}

.live:hover {
    background-color: var(--color-eye);
    color: var(--color-dark);
}

.blink {
    animation: blinkAnimation .7s infinite;
    padding-bottom: 0px;
}

@keyframes blinkAnimation {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}


#Capa_1 {
    fill: var(--color-eye);
    transition: fill 0.3s ease;
}   
.micro-card-rounded.link-card.d-flex-col-center.hover {
    display: flex;
}

#icon-eye path {
    fill: var(--color-eye, #000); /* Default fill color, with fallback */
    transition: fill 0.3s ease;
}

/* Hover effect to turn icons black when hovering over the containing a tag */
.micro-card-rounded.link-card.d-flex-col-center.hover:hover #icon-eye path {
    fill: black;
}
.cv:hover #Capa_1 {
    fill: black;
}

.presentation {
    margin-top: 7%;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

#home {
    flex-direction: row;
    justify-content: space-around;
}

html {
    scroll-behavior: smooth;
    scroll-padding-top: 8rem;
}

body {
    font-size: 1.6rem;
    font-family: 'Poppins', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

h1 {
    font-size: 6.5rem;
    line-height: 7.2rem;
}

h2 {
    font-size: 6.4rem;
}

h3 {
    font-size: 4.8rem;
}

h4 {
    font-size: 3.2rem;
}

#iama {
    font-size: xx-large;
}

h5 {
    font-size: 2.4rem;
}

h6 {
    font-size: 1.6rem;
}

p,
label {
    font-size: 1.6rem;
    color: var(--color-light-gray);
}

.bg-dark {
    background-color: var(--color-dark);
    color: var(--color-white);
}

.bg-gray {
    background-color: var(--color-gray);
}

.container {
    position: relative;
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 2.4rem;
}

.full-vh {
    min-height: 100vh;
    padding-top: 4rem;
    padding-bottom: 10rem;
}

.d-flex {
    display: flex;
}

.d-flex-col {
    display: flex;
    flex-direction: column;
}

.d-flex-col-center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.space-between {
    justify-content: space-between;
}

.gap {
    gap: 10px;
}

.topbar-fixed {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1;
}

.topbar {
    align-items: center;
    padding-top: 1.6rem;
    padding-bottom: 1.6rem;
}

.logo {
    background-color: white;
    border-radius: 100%;

    height: 6rem;
}

.menu-icon {
    display: none;
}

.menu {
    margin-right: -2.4rem;
}
.menu-item{
    margin-top: 5px;
}
.menu-item a {
    display: block;
    padding: 0 2.4rem;
    color: var(--color-light-gray);
    font-size: 2rem;
    line-height: 4.8rem;
    transition: all .1s ease-in-out;
}

/* .menu-item a:hover {
    color: var(--color-eye);
} */

.act > a{
    color: rgb(80, 205, 255);
    /* color: var(--color-eye); */
}

@keyframes under {
    0% {
        border-bottom: 3px solid rgb(0, 255, 255);
    }

    50% {
        border-bottom: 3px solid rgb(255, 251, 0);
    }

    100% {
        border-bottom: 3px solid rgb(0, 255, 255);
    }
}

.hi {
    display: block;
    font-size: 2.4rem;
}

.hi,
.iam-job {
    font-weight: 400;
}

.typed-python,.typed-js,.typed-elasticsearch {
    color: yellow; /* Change to your desired color for Python */
}

.typed-django,.typed-graphql {
    color: #00b421; /* Change to your desired color for Django */
}

.typed-ml,.typed-sql {
    color: rgb(0, 157, 255); /* Change to your desired color for ML */
}
.typed-ds{
    color: chartreuse;
}
.typed-html,.typed-laravel {
    color: var(--color-red); /* Change to your desired color for ML */
}
.typed-css{
    color: lightskyblue;
}
.typed-cursor {
    font-weight: bolder;
    font-size: xx-large;
}
.iam-job {
    font-size: 3.2rem;
}

.arrow-icon {
    color: var(--color-arrow-gray);
    animation: zin 1s infinite;
    position: absolute;
    bottom: 4rem;
    font-size: x-large;
}

@keyframes zin {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.2);
        fill: white;
    }

    100% {
        transform: scale(1);
    }
}

.title-section {
    font-size: 3.2rem;
    margin-bottom: 4.4rem;
    color: var(--color-eye);
}

.avatar {
    margin-top: 7rem;
    width: 50rem;
    border-radius: 50%;
    border: 9px solid rgb(0, 195, 255);
    background-color: var(--color-eye);
    /* border-bottom: 1rem solid rgb(0, 213, 255); */
    /* background: radial-gradient(circle, rgba(255, 252, 0, 1) 20%, rgba(0, 215, 255, 1) 100%); */
    user-select: none;
    -moz-user-select: none;
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

/* .presentation1:hover .avatar{
    animation: rotateimg 1s linear;
}
@keyframes rotateimg{
    0%{
        transform: scaleX(1);
    }
    50%{
        transform: scaleX(-1);
    }
    100%{
        transform: scaleX(1);
    }
} */
.custom {
    padding: 7px;
    display: flex;
    width: 100%;
    align-items: center;
    align-content: center;
    flex-direction: row-reverse;
    justify-content: space-between;
}

.about-desc {
    max-width: 84rem;
    text-align: center;
}

.about-desc>p {
    margin-bottom: var(--gap);
    text-align: justify;
    transition: all 0.6s ease-in-out;
    cursor: auto;
    font-size: large;
}

.about-desc>p:hover {
    color: var(--color-eye);
    
}
.about-desc > p:hover .highlight-blue {
    background-color: rgba(0, 255, 221, 0.76);
    /* border-radius: 10px; */
}
.about-desc > p:hover .highlight-green {
    background-color: rgba(153, 255, 0, 0.842);
    /* color: #000; */
}
.hover {
    transition: all 0.3s ease;
}

.hover:hover {
    transform: scale(1.1);
    background-color: var(--color-eye);
    color: #16161A;
    font-weight: bold;
}
/* .font-color{
    color: var(--color-eye);
} */

.hover:hover .rot {
    animation: rotate .5s ease-in-out;
}

@keyframes rotate {
    0% {
        transform: scaleX(1) scale(1);

    }

    50% {
        transform: scaleX(-1) scale(1.6);
    }

    100% {
        transform: scaleX(1) scale(1);
    }
}

.micro-cards {
    flex-wrap: wrap;
    justify-content: center;
}
.micro-cards-rounded{
    margin-top:10px ;
    flex-wrap: wrap;
    /* justify-content: center; */
}
.micro-card-rounded {
    display: flex;
    align-items: center; /* Align items vertically to the center */
    justify-content: center; /* Align items horizontally to the center */
    color: var(--color-white);
    background-color: var(--color-gray);
    opacity: 10;
    width: 6rem;
    height: 6rem;
    border-radius: 100%;
}
.micro-card {
    color: var(--color-white);
    background-color: var(--color-gray);
    /* opacity: 10; */
    width: 12rem;
    height: 12rem;
    padding: 1.6rem 2.4rem;
    border-radius: 1.6rem;
}

.micro-cards.skill-cards {
    gap: 1.6rem;
}

.micro-card.skill-card {
    width: 9.6rem;
    height: 9.6rem;
}

.micro-card.skill-card span:nth-child(2) {
    font-size: 1.2rem;
    margin-top: 0.8rem;
}
.skill-card{
    color: var(--color-eye);
}
.cards {
    /* max-width: 100rem; */
    justify-content: center;
    flex-wrap: wrap;
    gap: 1.4rem;
}

.card {
    max-height: 20rem;
    width: 32rem;
    margin:2px;
    background-color: var(--color-gray);
    padding: 0.8rem 0.8rem 1.6rem 0.8rem;
    border-radius: 1.6rem;
    /* transition: all .3s ease-in-out; */
}



.card-thumbnail {
    width: 30.4rem;
    height: 20rem;
    object-fit: cover;
    border-radius: 0.8rem;
}

.card-body {
    padding: 0 0.8rem;
}

.card-title {
    font-size: 2.1rem;
    /* text-transform: capitalize; */
    color: rgb(0, 183, 255);
}

.card-desc {
    color: var(--color-eye);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    text-overflow: ellipsis;
    overflow: hidden;
}

.card-footer {
    margin-top: 1.6rem;
    align-items: center;
    bottom: 0;
    position: relative;
}

.card-tag {
    font-size: 1.3rem;
    color: var(--color-green);
    border: 2px solid var(--color-green);
    border-radius: 1.6rem;
    padding: 0.4rem 0.8rem;
}
.card-tag-private {
    font-size: 1.3rem;
    color: var(--color-red);
    border: 2px solid var(--color-red);
    border-radius: 1.6rem;
    padding: 0.4rem 0.8rem;
}
.project-link {
    color: var(--color-white);
    gap: 0.8rem;
}

.micro-card.link-card {
    transition: all 300ms ease-in-out;
}

.micro-card.link-card:hover {
    color: var(--color-dark);
    background-color: var(--color-eye);
}

.footer {
    height: 8rem;
    border-top: 0.1rem solid var(--color-gray);

    font-size: 12px;
}

.footer .heart-icon {
    color: var(--color-red);
    font-size: larger;
}

.footer .link-to-source {
    color: var(--color-white);
    text-decoration: underline;

    transition: all 200ms ease-in-out;
}

.footer .link-to-source:hover {
    color: var(--color-green);
}

@media(max-width:1248px) {
    .github-stat>img{
        /* width: fit-content; */
        width: 60%;
        padding: 5px;
    }
    .avatar {
        margin-top: 10rem;
        width: 40rem;
    }
}

@media(max-width:1016px) {
    #home {
        flex-direction: column-reverse;
    }
}

@media (max-width: 768px) {
    .github-stat>img{
        /* width: fit-content; */
        width: 50%;
        padding: 5px;
    }
    #git {
        display: none;
    }

    h1 {
        font-size: 6.4rem;
    }

    .topbar {
        flex-wrap: wrap;
    }

    .menu-icon {
        display: block;
        cursor: pointer;
        padding: 0.4rem;
        padding: 10px;

    }

    .bar-1,
    .bar-2,
    .bar-3 {
        display: block;
        background-color: var(--color-white);
        width: 4rem;
        height: 0.4rem;
        margin: 0.7rem 0;
        border-radius: 0.1rem;
        transition: all 300ms ease-in-out;
    }

    #open-close-menu:checked+.menu-icon .bar-1 {
        transform: translate(0, 12px) rotate(-45deg);
    }

    #open-close-menu:checked+.menu-icon .bar-2 {
        opacity: 0;
    }

    #open-close-menu:checked+.menu-icon .bar-3 {
        transform: translate(0, -10px) rotate(45deg);
    }

    #open-close-menu:not(#open-close-menu:checked)~.menu {
        display: none;
    }

    .menu {
        width: 100%;
    }

    .menu-items {
        flex-direction: column;
        align-items: center;
        height: calc(100vh);
        margin-right: 11.4%;
    }

    .menu-item a {
        padding: 1.3rem;
    }
}

@media (max-width:535px) {
    .github-stat>img{
        /* width: fit-content; */
        width: 100%;
        padding: 5px;
    }
    .avatar {
        margin-top: 10rem;
        width: 30rem;
    }

    #iam {
        font-size: 6rem;
    }
}

@media (max-width:505px) {
    #iam {
        font-size: 5.5rem;
    }
}

@media (max-width:467px) {
    .github-stat>img{
        /* width: fit-content; */
        width: 100%;
        padding: 5px;
    }
    .avatar {
        margin-top: 6rem;
    }

    #iam {
        font-size: 5rem;
    }
}

@media (max-width:431px) {
    .github-stat>img{
        /* width: fit-content; */
        width:100%;
        padding: 5px;
    }
    .avatar {
        margin-top: 5rem;
    }

    #iam {
        font-size: 4rem;
        margin-bottom: -20px;
    }

    .hi {
        font-size: 2rem;
        margin-bottom: -10px;
    }

    .iam-job {
        font-size: 2.5rem;
    }

    #iama {
        font-size: large;
        margin-top: -10px;
    }
}

@media (max-width:353px) {
    .github-stat>img{
        /* width: fit-content; */
        width: 100%;
        padding: 5px;
    }
    .avatar {
        width: 27rem;
    }

    #iam {
        font-size: 3rem;
        margin-bottom: -20px;
    }

    .hi {
        font-size: 1.6rem;
        margin-bottom: -20px;
    }

    .iam-job {
        font-size: 2rem;
    }

    #iama {
        font-size: small;
        margin-top: -10px;
    }
}

@media (max-width:325px) {
    .github-stat>img{
        /* width: fit-content; */
        width: 35%;
        padding: 5px;
    }
    .card {
        max-width: 30rem;
    }

    .card-thumbnail {
        width: 28.4rem;
        height: 20rem;
        object-fit: cover;
        border-radius: 0.8rem;
    }
}